diff -Naur touchmegames-0.2.5/src/compile4/events.cpp touchmegames-0.2.5.new/src/compile4/events.cpp
--- touchmegames-0.2.5/src/compile4/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/compile4/events.cpp	2014-02-09 15:47:24.861829103 +0100
@@ -65,7 +65,7 @@
         
         
         if (compile->circy > compile->circendy) {
-            int cmove;
+            long cmove;
             compile->winner = compile->roundOver();
             
             if (compile->winner) {
@@ -84,12 +84,12 @@
             compile->gameState = DROPPING_CPU;
             ++compile->move;
             cmove = compile->think(false);
-            for (int y = 5; y >= 0; --y) {
+            for (long y = 5; y >= 0; --y) {
                 if (compile->grid[cmove][y] == 0) {
                     compile->grid[cmove][y] = 2;
                     compile->widgetGrid[cmove][y] = compile->p2Circs[compile->move / 2];
                     
-                    compile->circx = (int)cmove * 80;
+                    compile->circx = (long)cmove * 80;
                     compile->circy = -80;
                     compile->circendy = 80 * (y);
     
@@ -133,7 +133,7 @@
     else if (compile->gameState == BETWEEN_ROUNDS) {
             
         if ((--compile->betweenRoundCounter % 8) == 0) {
-            for (int i = 0; i < 4; ++i) {
+            for (long i = 0; i < 4; ++i) {
                 if (compile->showBlink) {
                     gtk_widget_show(compile->widgetGrid[compile->blinky[i][0]][compile->blinky[i][1]]);
                 }
@@ -194,7 +194,7 @@
                 compile->gameState = PLAYER_TURN;
             }
             else {
-                int cmove;
+                long cmove;
                 compile->winner = compile->roundOver();
                 if (compile->winner) {
                     if (compile->winner > 0) {
@@ -212,12 +212,12 @@
                 compile->gameState = DROPPING_CPU;
                 ++compile->move;
                 cmove = compile->think(false);
-                for (int y = 5; y >= 0; --y) {
+                for (long y = 5; y >= 0; --y) {
                     if (compile->grid[cmove][y] == 0) {
                         compile->grid[cmove][y] = 2;
                         compile->widgetGrid[cmove][y] = compile->p2Circs[compile->move / 2];
                         
-                        compile->circx = (int)cmove * 80;
+                        compile->circx = (long)cmove * 80;
                         compile->circy = -80;
                         compile->circendy = 80 * (y);
         
@@ -247,12 +247,12 @@
 void Compile4::colPressed(GtkWidget *widget, GdkEventKey *event, gpointer ptr) {
     Compile4 *compile(reinterpret_cast<Compile4 *>(ptr));
     if (compile->gameState == PLAYER_TURN) {
-        int col((int)g_object_get_data((GObject *)widget, KEY_STR));
-        for (int y = 5; y >= 0; --y) {
+        long col((long)g_object_get_data((GObject *)widget, KEY_STR));
+        for (long y = 5; y >= 0; --y) {
             if (compile->grid[col][y] == 0) {
                 compile->grid[col][y] = 1;
                 compile->widgetGrid[col][y] = compile->p1Circs[compile->move / 2];
-                compile->circx = (int)g_object_get_data((GObject *)widget, KEY_STR) * 80;
+                compile->circx = (long)g_object_get_data((GObject *)widget, KEY_STR) * 80;
                 compile->circy = -80;
                 compile->circendy = 80 * (y);
 
diff -Naur touchmegames-0.2.5/src/compile4/interface.cpp touchmegames-0.2.5.new/src/compile4/interface.cpp
--- touchmegames-0.2.5/src/compile4/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/compile4/interface.cpp	2014-02-09 15:47:24.878829104 +0100
@@ -422,7 +422,7 @@
     gtk_widget_show_all(topFixed);
     
     startRound();
-    gtk_widget_hide_all(scoreWindow);
+    gtk_widget_hide(scoreWindow);
     gtk_widget_hide(scorebg);
     timer = g_timeout_add(50, timeout, this);
     
diff -Naur touchmegames-0.2.5/src/compile4/makefile touchmegames-0.2.5.new/src/compile4/makefile
--- touchmegames-0.2.5/src/compile4/makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/compile4/makefile	2014-02-09 15:47:24.869829103 +0100
@@ -57,17 +57,17 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/consume21/events.cpp touchmegames-0.2.5.new/src/consume21/events.cpp
--- touchmegames-0.2.5/src/consume21/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/consume21/events.cpp	2014-02-09 15:47:22.679829028 +0100
@@ -63,7 +63,7 @@
             if (consume->timeLeft == 0) {
                 consume->gameState = OUT_OF_TIME;
             }
-            consume->progress.percent((int)consume->timeLeft / 3);
+            consume->progress.percent((long)consume->timeLeft / 3);
             
             break;
         case TAKE_SCORE: {
@@ -71,7 +71,7 @@
             std::string str;
             // taking score
             if (consume->timeLeft) {
-                int total;
+                long total;
                 consume->getMultiplier();
                 if (consume->multiplier != -1) {
                     consume->roundScore += consume->multiplier;
@@ -80,7 +80,7 @@
                     consume->addCommas(str);
                     gtk_label_set_text((GtkLabel *)consume->columnsTotal, str.c_str());
                     --consume->timeLeft;
-                    consume->progress.percent((int)consume->timeLeft / 3);
+                    consume->progress.percent((long)consume->timeLeft / 3);
                 }
                 else {
                     consume->timeLeft = 0;
@@ -122,9 +122,9 @@
 
 void Consume21::colPressed(GtkWidget *widget, GdkEventKey *event, gpointer ptr) {
     Consume21 *consume(reinterpret_cast<Consume21 *>(ptr));
-    int column(((int)g_object_get_data((GObject *)widget, KEY_STR) & 0xF) - 1);
-    int cardNum((((int)g_object_get_data((GObject *)consume->mugImages[consume->totalMugImages - 1], KEY_STR) >> 4) & 0xF));
-    int soft(0);
+    long column(((long)g_object_get_data((GObject *)widget, KEY_STR) & 0xF) - 1);
+    long cardNum((((long)g_object_get_data((GObject *)consume->mugImages[consume->totalMugImages - 1], KEY_STR) >> 4) & 0xF));
+    long soft(0);
     std::string str;
     if (consume->gameState == WAITING) {
         consume->gameState = RUNNING;
@@ -135,7 +135,7 @@
         
     if (column != -1) {
         std::stringstream sstr;
-        int total(0);
+        long total(0);
         
         // make sure it can fit into the column
         if (consume->columnTotal[column] + cardNum > 21) {
@@ -147,9 +147,9 @@
                 
             }
             else { // now check to see if there's at least one 11 in the pile
-                int card = consume->columnMugs[column];
-                int whichCard = -1;
-                for (int i = 0; i < card; ++i) {
+                long card = consume->columnMugs[column];
+                long whichCard = -1;
+                for (long i = 0; i < card; ++i) {
                     if (consume->columnMugValues[column][i] == 11) {
                         // we can use this and subtract 10 from it to include
                         // the new card
@@ -192,7 +192,7 @@
         
         sstr << consume->columnTotal[column];
         // check for 11s
-        for (int i = 0; i < consume->columnMugs[column]; ++i) {
+        for (long i = 0; i < consume->columnMugs[column]; ++i) {
             if (consume->columnMugValues[column][i] == 11) {
                 sstr << " - S";
             }
@@ -210,7 +210,7 @@
         consume->createMug();
         
         
-        for (int i = 0; i < 5; ++i) {
+        for (long i = 0; i < 5; ++i) {
             total += consume->columnTotal[i];
         }
         sstr.str("");
@@ -233,7 +233,7 @@
     if (consume->gameState != RUNNING) {
         return;
     }
-//     gtk_image_set_from_file((GtkImage *)consume->spill, "/usr/local/share/touchmegames/consume21/images/spilldown.png");
+//     gtk_image_set_from_file((GtkImage *)consume->spill, "/usr/share/touchmegames/consume21/images/spilldown.png");
     consume->reloadImage(consume->spill, "spilldown.png");
 }
 
@@ -259,7 +259,7 @@
     if (consume->gameState != RUNNING) {
         return;
     }
-//     gtk_image_set_from_file((GtkImage *)consume->collect, "/usr/local/share/touchmegames/consume21/images/collectdown.png");
+//     gtk_image_set_from_file((GtkImage *)consume->collect, "/usr/share/touchmegames/consume21/images/collectdown.png");
     consume->reloadImage(consume->collect, "collectdown.png");
 }
 
@@ -273,7 +273,7 @@
     }
     g_source_remove(consume->timer);
     consume->timer = g_timeout_add(30, consume->timeout, ptr);
-//     gtk_image_set_from_file((GtkImage *)consume->collect, "/usr/local/share/touchmegames/consume21/images/collectup.png");
+//     gtk_image_set_from_file((GtkImage *)consume->collect, "/usr/share/touchmegames/consume21/images/collectup.png");
     consume->reloadImage(consume->collect, "collectup.png");
     
     consume->gameState = TAKE_SCORE;
diff -Naur touchmegames-0.2.5/src/consume21/interface.cpp touchmegames-0.2.5.new/src/consume21/interface.cpp
--- touchmegames-0.2.5/src/consume21/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/consume21/interface.cpp	2014-02-09 15:47:22.689829029 +0100
@@ -81,7 +81,7 @@
     gtk_widget_modify_fg(columnsTotal, (GtkStateType)0, &color);
     gtk_container_add((GtkContainer *)eventBox, columnsTotal);
             
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/consume21/images/toprightbox.png");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/consume21/images/toprightbox.png");
     image = loadImage("toprightbox.png");
     gtk_fixed_put((GtkFixed *)fixed, image, 640, 20);
     gtk_fixed_put((GtkFixed *)fixed, createRightTop(), 640, 20);
@@ -93,7 +93,7 @@
     gtk_fixed_put((GtkFixed *)fixed, eventBox, 150, 130);
     
     
-//     spill = gtk_image_new_from_file("/usr/local/share/touchmegames/consume21/images/spillup.png");
+//     spill = gtk_image_new_from_file("/usr/share/touchmegames/consume21/images/spillup.png");
     spill = loadImage("spillup.png");
     gtk_container_add((GtkContainer *)eventBox, spill);
     
@@ -110,7 +110,7 @@
     gtk_fixed_put((GtkFixed *)fixed, eventBox, 640, 500);
     
     
-//     collect = gtk_image_new_from_file("/usr/local/share/touchmegames/consume21/images/collectup.png");
+//     collect = gtk_image_new_from_file("/usr/share/touchmegames/consume21/images/collectup.png");
     collect = loadImage("collectup.png");
     gtk_container_add((GtkContainer *)eventBox, collect);
     
@@ -125,7 +125,7 @@
     progress.init();
     progress.width(320);
     progress.height(35);
-//     progress.image("/usr/local/share/touchmegames/consume21/images/progress.gif");
+//     progress.image("/usr/share/touchmegames/consume21/images/progress.gif");
     progress.defaultImage("progress1.gif");
     gtk_fixed_put((GtkFixed *)fixed, progress.widget(), 270, 110);
     
@@ -135,7 +135,7 @@
     
     // exit button
     eventBox = gtk_event_box_new();
-//     button = gtk_image_new_from_file("/usr/local/share/touchmegames/images/exit.gif");
+//     button = gtk_image_new_from_file("/usr/share/touchmegames/images/exit.gif");
     button = loadMainImage("exit.gif");
     gtk_container_add((GtkContainer *)eventBox, button);
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
@@ -148,7 +148,7 @@
     
     
     // round image
-//     roundImage = gtk_image_new_from_file("/usr/local/share/touchmegames/consume21/images/round1.png");
+//     roundImage = gtk_image_new_from_file("/usr/share/touchmegames/consume21/images/round1.png");
     roundImage = loadImage("round1.png");
     gtk_fixed_put((GtkFixed *)fixed, roundImage, 520, 20);
     
@@ -243,7 +243,7 @@
     bgcolor.green = 0x2E00;
     bgcolor.blue = 0xF000;
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/consume21/images/lowrightbg.png");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/consume21/images/lowrightbg.png");
     image = loadImage("lowrightbg.png");
     gtk_fixed_put((GtkFixed *)fixed, image, 640, 250);
     
@@ -296,7 +296,7 @@
         
     gtk_fixed_put((GtkFixed *)fixed, eventBox, 25, 25);
     
-//     sstr << "/usr/local/share/touchmegames/consume21/images/" << mug << ".png";
+//     sstr << "/usr/share/touchmegames/consume21/images/" << mug << ".png";
     sstr << mug << ".png";
 //     image = gtk_image_new_from_file(sstr.str().c_str());
     image = loadImage(sstr.str().c_str());
diff -Naur touchmegames-0.2.5/src/consume21/Makefile touchmegames-0.2.5.new/src/consume21/Makefile
--- touchmegames-0.2.5/src/consume21/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/consume21/Makefile	2014-02-09 15:47:22.671829028 +0100
@@ -59,17 +59,17 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/consume21/support.cpp touchmegames-0.2.5.new/src/consume21/support.cpp
--- touchmegames-0.2.5/src/consume21/support.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/consume21/support.cpp	2014-02-09 15:47:22.682829028 +0100
@@ -71,11 +71,11 @@
     progress.percent(100);
     setTotalWin(0);
     
-//     gtk_image_set_from_file((GtkImage *)spill, "/usr/local/share/touchmegames/consume21/images/spillup.png");
+//     gtk_image_set_from_file((GtkImage *)spill, "/usr/share/touchmegames/consume21/images/spillup.png");
     reloadImage(spill, "spillup.png");
     gtk_widget_show(spill);
     
-//     sstr << "/usr/local/share/touchmegames/consume21/images/round" << ++round << ".png";
+//     sstr << "/usr/share/touchmegames/consume21/images/round" << ++round << ".png";
     sstr << "round" << ++round << ".png";
 //     gtk_image_set_from_file((GtkImage *)roundImage, sstr.str().c_str());
     reloadImage(roundImage, sstr.str().c_str());
diff -Naur touchmegames-0.2.5/src/dropzone/events.cpp touchmegames-0.2.5.new/src/dropzone/events.cpp
--- touchmegames-0.2.5/src/dropzone/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/dropzone/events.cpp	2014-02-09 15:47:23.672829062 +0100
@@ -84,10 +84,10 @@
             break;
         case BLINKING:
             if (--t->blinkCntr == 0) {
-                int i;
+                long i;
                 t->gameState = RUNNING;
                 for (i = 0; i < 100 && t->d[i].x != -1; ++i) {
-                    int x(t->d[i].x), y(t->d[i].y);
+                    long x(t->d[i].x), y(t->d[i].y);
                     gtk_widget_show(t->discs[x][y]);
                     g_object_set_data((GObject *)t->discs[x][y], KEY_STR, (gpointer)0);
                     t->reloadImage(t->discs[x][y], "discb.png");
@@ -110,12 +110,12 @@
             }
             else {
                 if ((t->blinkCntr % 2) == 0) {
-                    for (int i = 0; i < 100 && t->d[i].x != -1; ++i) {
+                    for (long i = 0; i < 100 && t->d[i].x != -1; ++i) {
                         gtk_widget_hide(t->discs[t->d[i].x][t->d[i].y]);
                     }
                 }
                 else { //if ((t->blinkCntr % 2) == 0) {
-                    for (int i = 0; i < 100 && t->d[i].x != -1; ++i) {
+                    for (long i = 0; i < 100 && t->d[i].x != -1; ++i) {
 
                         gtk_widget_show(t->discs[t->d[i].x][t->d[i].y]);
                     }
@@ -165,8 +165,8 @@
         dz->gameState = PAUSED;
         dz->reloadMainImage(dz->pauseButton, "buttons/button_play.png");
         
-        for (int y = 0; y < dz->numRows; ++y) {
-            for (int x = 0; x < dz->numColumns; ++x) {
+        for (long y = 0; y < dz->numRows; ++y) {
+            for (long x = 0; x < dz->numColumns; ++x) {
                 gtk_widget_hide(dz->discs[x][y]);
             }
         }
@@ -177,8 +177,8 @@
     else if (dz->gameState == PAUSED) {
         dz->gameState = RUNNING;
         dz->reloadMainImage(dz->pauseButton, "buttons/button_pause.png");
-        for (int y = 0; y < dz->numRows; ++y) {
-            for (int x = 0; x < dz->numColumns; ++x) {
+        for (long y = 0; y < dz->numRows; ++y) {
+            for (long x = 0; x < dz->numColumns; ++x) {
                 gtk_widget_show(dz->discs[x][y]);
             }
         }
@@ -192,10 +192,10 @@
     DropZone *u(reinterpret_cast<DropZone *>(ptr));
     
     if (u->gameState == BLINKING) {
-        int i;
+        long i;
         u->gameState = RUNNING;
         for (i = 0; i < 100 && u->d[i].x != -1; ++i) {
-            int x(u->d[i].x), y(u->d[i].y);
+            long x(u->d[i].x), y(u->d[i].y);
             gtk_widget_show(u->discs[x][y]);
             g_object_set_data((GObject *)u->discs[x][y], KEY_STR, (gpointer)0);
             u->reloadImage(u->discs[x][y], "discb.png");
@@ -235,7 +235,7 @@
         gdouble n((event->x / (gdouble)u->discRadius) - 0.5);
         
 //         std::cout << "N " << n << std::endl;
-//         std::cout << "Offset " << (int)((event->x / u->discRadius)) - n << std::endl;
+//         std::cout << "Offset " << (long)((event->x / u->discRadius)) - n << std::endl;
         x = (int)n;
         y = 0;
         u->dropDisc(x, (int)((event->x / u->discRadius)) - n, y, 0);
diff -Naur touchmegames-0.2.5/src/dropzone/interface.cpp touchmegames-0.2.5.new/src/dropzone/interface.cpp
--- touchmegames-0.2.5/src/dropzone/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/dropzone/interface.cpp	2014-02-09 15:47:23.690829063 +0100
@@ -77,7 +77,7 @@
 //     progress.init();
 //     progress.width(145);
 //     progress.height(35);
-//     progress.image("/usr/local/share/touchmegames/consume21/images/progress.gif");
+//     progress.image("/usr/share/touchmegames/consume21/images/progress.gif");
 //     gtk_box_pack_start((GtkBox *)vbox, progress.widget(), FALSE, FALSE, 0);
 //     
 //     return vbox;
@@ -172,7 +172,7 @@
     
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
-//     pauseButton = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_pause.png");
+//     pauseButton = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_pause.png");
     pauseButton = loadMainImage("buttons/button_pause.png");
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
@@ -186,7 +186,7 @@
     
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_quit.png");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_quit.png");
     image = loadMainImage("buttons/button_quit.png");
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
@@ -234,14 +234,14 @@
     
     
     if (g_object_get_data((GObject *)nextDisc, KEY_STR) != 0) {
-        reloadImage(nextDisc, imageStrs[(int)g_object_get_data((GObject *)nextDisc, KEY_STR)]);
+        reloadImage(nextDisc, imageStrs[(long)g_object_get_data((GObject *)nextDisc, KEY_STR)]);
     }
     if (g_object_get_data((GObject *)onDeck, KEY_STR) != 0) {
-        reloadImage(onDeck, imageStrs[(int)g_object_get_data((GObject *)onDeck, KEY_STR)]);
+        reloadImage(onDeck, imageStrs[(long)g_object_get_data((GObject *)onDeck, KEY_STR)]);
     }
     if (valid && g_object_get_data((GObject *)discs[x][y], KEY_STR) != 0) {
         moveDropper(x, y);
-        reloadImage(discs[x][y], imageStrs[(int)g_object_get_data((GObject *)discs[x][y], KEY_STR)]);
+        reloadImage(discs[x][y], imageStrs[(long)g_object_get_data((GObject *)discs[x][y], KEY_STR)]);
     }
 }
 
@@ -267,7 +267,7 @@
                 int c = getData(x, 0);
                 if (c > 0) {
                     std::string str("disc");
-                    str += (char)((int)g_object_get_data((GObject *)discs[x][0], KEY_STR) + '0');
+                    str += (char)((long)g_object_get_data((GObject *)discs[x][0], KEY_STR) + '0');
                     str += "b.png";
                     reloadImage(discs[x][0], str);
                 }
@@ -316,7 +316,7 @@
     if (GTK_IS_OBJECT((GtkObject *)discs[x][y]) == FALSE) {
         return -1;
     }
-    return (int)g_object_get_data((GObject *)discs[x][y], KEY_STR);
+    return (long)g_object_get_data((GObject *)discs[x][y], KEY_STR);
 }
 
 void DropZone::updateScore(int addition) {
diff -Naur touchmegames-0.2.5/src/dropzone/Makefile touchmegames-0.2.5.new/src/dropzone/Makefile
--- touchmegames-0.2.5/src/dropzone/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/dropzone/Makefile	2014-02-09 15:47:23.668829062 +0100
@@ -63,18 +63,18 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).png /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp levels /usr/local/share/touchmegames/$(GAME_NAME)
+	cp $(GAME_NAME).png /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
+	cp levels /usr/share/touchmegames/$(GAME_NAME)
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/dropzone/support.cpp touchmegames-0.2.5.new/src/dropzone/support.cpp
--- touchmegames-0.2.5/src/dropzone/support.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/dropzone/support.cpp	2014-02-09 15:47:23.676829062 +0100
@@ -587,7 +587,7 @@
 //                     }
                     else {
                         int tmpx(x), tmpy(y);
-                        int color((int)g_object_get_data((GObject *)discs[x][y], KEY_STR));
+                        long color((long)g_object_get_data((GObject *)discs[x][y], KEY_STR));
 //                         std::cout << "Time To drop" << std::endl;
                         outputGame();
 //                         std::cout << "Drop this guy: " << tmpx << ' ' << tmpy << std::endl;
diff -Naur touchmegames-0.2.5/src/events.cpp touchmegames-0.2.5.new/src/events.cpp
--- touchmegames-0.2.5/src/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/events.cpp	2014-02-09 15:47:23.507829057 +0100
@@ -27,14 +27,14 @@
     GtkWidget *w;
     GdkColor *color;
     GtkStyle *style;
-    int game;
+    long game;
     
     if (sg->lastGameSelected) {
             gtk_event_box_set_visible_window((GtkEventBox *)sg->lastGameSelected, FALSE);
             gtk_widget_destroy(sg->previewTable);
     }
     
-    game = (int)g_object_get_data((GObject *)widget, KEY_STR);
+    game = (long)g_object_get_data((GObject *)widget, KEY_STR);
 
     gtk_fixed_move((GtkFixed *)sg->gameSelectFixed, sg->gameBg, (game & 1 ? 160: 10), ((game / 2) * 140) + 60);
     gtk_widget_show(sg->gameBg);
@@ -106,7 +106,7 @@
 
 void TOUCHME_GAMES::showSubMenu(GtkWidget *widget, GdkEvent *event, gpointer ptr) {
     TOUCHME_GAMES *sg(reinterpret_cast<TOUCHME_GAMES *>(ptr));
-    int gameType((int)g_object_get_data((GObject *)widget, KEY_STR));
+    long gameType((long)g_object_get_data((GObject *)widget, KEY_STR));
     
     if (sg->lastGameSelected) {
         sg->lastGameSelected = false;
@@ -146,7 +146,7 @@
 void TOUCHME_GAMES::showAbout(GtkWidget *widget, GdkEvent *event, gpointer ptr) {
     TOUCHME_GAMES *sg(reinterpret_cast<TOUCHME_GAMES *>(ptr));
     
-    for (int i = 0; i < 5; ++i) {
+    for (long i = 0; i < 5; ++i) {
         gtk_widget_hide(sg->menuWidgets[i]);
         gtk_widget_hide(sg->menuCaptions[i]);
     }
@@ -161,7 +161,7 @@
     TOUCHME_GAMES *tg(reinterpret_cast<TOUCHME_GAMES *>(ptr));
     unsigned long val;
     
-    val = (int)g_object_get_data((GObject *)widget, KEY_STR);
+    val = (long)g_object_get_data((GObject *)widget, KEY_STR);
     
     if (tg->lastGameSelected) {
         tg->lastGameSelected = false;
@@ -184,7 +184,7 @@
     TOUCHME_GAMES *tg(reinterpret_cast<TOUCHME_GAMES *>(ptr));
     unsigned long val;
     
-    val = (int)g_object_get_data((GObject *)widget, KEY_STR);
+    val = (long)g_object_get_data((GObject *)widget, KEY_STR);
     
     if (tg->lastGameSelected) {
         tg->lastGameSelected = false;
diff -Naur touchmegames-0.2.5/src/flogthedolphin/events.cpp touchmegames-0.2.5.new/src/flogthedolphin/events.cpp
--- touchmegames-0.2.5/src/flogthedolphin/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/flogthedolphin/events.cpp	2014-02-09 15:47:22.286829015 +0100
@@ -206,7 +206,7 @@
                     gtk_widget_show(ftd->dolphinImage);
                     ftd->dolphinTilt = ftd->dolphinTiltReload;
             }
-            gtk_fixed_move((GtkFixed *)ftd->fixed, ftd->dolphinImage, 90, (int)dolphiny);
+            gtk_fixed_move((GtkFixed *)ftd->fixed, ftd->dolphinImage, 90, (long)dolphiny);
             return TRUE;
     }
     
@@ -242,7 +242,7 @@
             gtk_widget_show(ftd->dolphinImage);
             ftd->dolphinTilt = ftd->dolphinTiltReload;
     }
-    gtk_fixed_move((GtkFixed *)ftd->fixed, ftd->dolphinImage, 300, (int)dolphiny);
+    gtk_fixed_move((GtkFixed *)ftd->fixed, ftd->dolphinImage, 300, (long)dolphiny);
     ftd->radians += .1;
     if (ftd->t <= 0.06) {
             float totalTime((((ftd->hvelocity * ftd->hvelocity * 
@@ -263,7 +263,7 @@
             if (ftd->hvelocity < 5) {
                     ftd->hvelocity = 50;
             }
-            gtk_fixed_move((GtkFixed *)ftd->fixed, ftd->dolphinImage, 300, (int)dolphiny);
+            gtk_fixed_move((GtkFixed *)ftd->fixed, ftd->dolphinImage, 300, (long)dolphiny);
     }
     if (dolphiny + 200 >= 550) {
             
@@ -380,7 +380,7 @@
 void FLOG_THE_DOLPHIN::setLength() {
     std::stringstream sstr;
     length += rate / 30.0;
-    sstr << (int)length;
+    sstr << (long)length;
     gtk_label_set_text((GtkLabel *)currentLabel, sstr.str().c_str());
 }
 
@@ -388,24 +388,24 @@
     float dolphinNosey(90 * sin(currentDolphin * 5 + 40) + dolphiny + 100), 
             dolphinNosex(90 * cos(currentDolphin * 5 + 40) + 400);
     
-    int buoyy(buoyx + (int)((-112.0 / 32.0) * dolphinNosex) + 132 + 600);
+    long buoyy(buoyx + (long)((-112.0 / 32.0) * dolphinNosex) + 132 + 600);
     if (dolphinNosey > 480 && buoyy > 0) {
         
         if (dolphinNosey > buoyy && buoyx >= 368 && buoyx <= 500) {
             std::stringstream sstr;
             
             // Calculate the score
-            for (int i = 0; i < 8; ++i) {
-                if ((int)length > top8[i]) {
-                    for (int j = 7; j >= i + 1; --j) {
+            for (long i = 0; i < 8; ++i) {
+                if ((long)length > top8[i]) {
+                    for (long j = 7; j >= i + 1; --j) {
                         top8[j] = top8[j - 1];
                     }
-                    top8[i] = (int)length;
+                    top8[i] = (long)length;
                     i = 9;
                 }
             }
             totalLength = 0;
-            for (int i = 0; i < 8; ++i) {
+            for (long i = 0; i < 8; ++i) {
                 totalLength += top8[i];
             }
             sstr << totalLength;
@@ -444,7 +444,7 @@
     if (tmpRate < 0.33) {
         tmpRate = 0.33;
     }
-    ftd->rate = (int)(tmpRate * 30.0);
+    ftd->rate = (long)(tmpRate * 30.0);
     ftd->initialy = dolphiny;
     rad = ftd->radians;
     if (rad > 1.57) {
@@ -452,7 +452,7 @@
     }
     //rad -= 0.7535;
     //rad *= 10;
-    ftd->angle = 45 + (int)rad;
+    ftd->angle = 45 + (long)rad;
     
     ftd->gameState = FLOG_THE_DOLPHIN::middleOfRound;
     ftd->t = 0.0;
diff -Naur touchmegames-0.2.5/src/flogthedolphin/flogthedolphin.h touchmegames-0.2.5.new/src/flogthedolphin/flogthedolphin.h
--- touchmegames-0.2.5/src/flogthedolphin/flogthedolphin.h	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/flogthedolphin/flogthedolphin.h	2014-02-09 15:47:22.304829016 +0100
@@ -25,7 +25,7 @@
 #include <map>
 #include <gameptr.h>
 
-#define ftdDeckLocation "/usr/local/share/touchmegames/flogthedolphin/images/"
+#define ftdDeckLocation "/usr/share/touchmegames/flogthedolphin/images/"
 
 class FLOG_THE_DOLPHIN : public GAME_PTR {
 private:
